<?php

/**
 * NOTE: This file is auto generated by OpenAPI Generator.
 * Do NOT edit it manually. Run `php artisan openapi:generate-server`.
 */

use App\Http\ApiV1\Modules\Common\Controllers\CustomerPersonalDataController;
use App\Http\ApiV1\Modules\Users\Controllers\ConfirmationCodesController;
use App\Http\ApiV1\Modules\Users\Controllers\UsersController;
use Illuminate\Support\Facades\Route;

Route::post('users', [UsersController::class, 'create']);
Route::get('users/{id}', [UsersController::class, 'get']);
Route::delete('users/{id}', [UsersController::class, 'delete']);
Route::patch('users/{id}', [UsersController::class, 'patch']);
Route::post('users:search', [UsersController::class, 'search']);
Route::post('users:search-one', [UsersController::class, 'searchOne']);
Route::post('users:register', [UsersController::class, 'register']);
Route::post('users:current', [UsersController::class, 'current'])->middleware(['auth:api']);
Route::post('users/{id}:refresh-password-token', [UsersController::class, 'refreshPasswordToken']);
Route::post('users/password-reset-first', [UsersController::class, 'passwordResetFirstStep']);
Route::post('users/password-reset-second', [UsersController::class, 'passwordResetSecondStep']);
Route::post('users/confirmation-code-by-phone', [ConfirmationCodesController::class, 'createByPhone']);
Route::post('common/customer-personal-data:delete', [CustomerPersonalDataController::class, 'delete']);
